{-# INCLUDE "ldap.h" #-}
{-# LINE 1 "LDAP/Constants.hsc" #-}
{- -*- Mode: haskell; -*-
{-# LINE 2 "LDAP/Constants.hsc" #-}
Haskell LDAP Interface
Copyright (C) 2005 John Goerzen <jgoerzen@complete.org>

This code is under a 3-clause BSD license; see COPYING for details.
-}

{- |
   Module     : LDAP.Constants
   Copyright  : Copyright (C) 2005-2006 John Goerzen
   License    : BSD

   Maintainer : John Goerzen,
   Maintainer : jgoerzen\@complete.org
   Stability  : provisional
   Portability: portable

LDAP constants for use in your programs

Written by John Goerzen, jgoerzen\@complete.org
-}

module LDAP.Constants(module LDAP.Constants)
where
import Foreign.C.Types
import LDAP.Types


{-# LINE 29 "LDAP/Constants.hsc" #-}

ldapPort :: LDAPInt
ldapPort =  389
ldapsPort :: LDAPInt
ldapsPort =  636
ldapApiVersion :: LDAPInt
ldapApiVersion =  3001
ldapVendorName :: LDAPInt
ldapVendorName =  271794192
ldapApiInfoVersion :: LDAPInt
ldapApiInfoVersion =  1
ldapFeatureInfoVersion :: LDAPInt
ldapFeatureInfoVersion =  1
ldapControlValuesreturnfilter :: LDAPInt
ldapControlValuesreturnfilter =  271794288
ldapControlSubentries :: LDAPInt
ldapControlSubentries =  271794336
ldapControlNoop :: LDAPInt
ldapControlNoop =  271794380
ldapControlManagedsait :: LDAPInt
ldapControlManagedsait =  271794436
ldapControlProxyAuthz :: LDAPInt
ldapControlProxyAuthz =  271794488
ldapControlSortrequest :: LDAPInt
ldapControlSortrequest =  271794544
ldapControlSortresponse :: LDAPInt
ldapControlSortresponse =  271794596
ldapControlVlvrequest :: LDAPInt
ldapControlVlvrequest =  271794644
ldapControlVlvresponse :: LDAPInt
ldapControlVlvresponse =  271794696
ldapNoticeOfDisconnection :: LDAPInt
ldapNoticeOfDisconnection =  271794756
ldapNoticeDisconnect :: LDAPInt
ldapNoticeDisconnect =  271794756

{-# LINE 37 "LDAP/Constants.hsc" #-}

ldapFilterAnd :: BERTag
ldapFilterAnd =  160
ldapFilterOr :: BERTag
ldapFilterOr =  161
ldapFilterNot :: BERTag
ldapFilterNot =  162
ldapFilterEquality :: BERTag
ldapFilterEquality =  163
ldapFilterSubstrings :: BERTag
ldapFilterSubstrings =  164
ldapFilterGe :: BERTag
ldapFilterGe =  165
ldapFilterLe :: BERTag
ldapFilterLe =  166
ldapFilterPresent :: BERTag
ldapFilterPresent =  135
ldapFilterApprox :: BERTag
ldapFilterApprox =  168
ldapFilterExt :: BERTag
ldapFilterExt =  169
ldapFilterExtOid :: BERTag
ldapFilterExtOid =  129
ldapFilterExtType :: BERTag
ldapFilterExtType =  130
ldapFilterExtValue :: BERTag
ldapFilterExtValue =  131
ldapFilterExtDnattrs :: BERTag
ldapFilterExtDnattrs =  132
ldapSubstringAny :: BERTag
ldapSubstringAny =  129
ldapSubstringFinal :: BERTag
ldapSubstringFinal =  130
ldapSubstringInitial :: BERTag
ldapSubstringInitial =  128

{-# LINE 44 "LDAP/Constants.hsc" #-}

